Take the 2-minute tour ×
Web Applications Stack Exchange is a question and answer site for power users of web applications. It's 100% free, no registration required.

For a few days now, I can no longer use the Google Reader bookmarklet (the one shown on the 'Your stuff' page in the upper right) on one particular machine with FF5.

Whenever I do activate it, the usual frame pops up, but it says:

Oops. You're currently signed out.

Please take a moment to sign in to your Google Account to share this page in Google Reader.

When I follow the link and do that, I get back to the same page with the same message.

I've tried logging out of my Google account and back in. I deleted all the Google-related cookies I could find and logged back in.

I asked someone else to try it with his account on his machine and it does. I've tried it on another machine with my own account (FF5 as well) and it works there. I've tried it on the same machine with another browser and it works.

Anyone got an idea how to fix this for my main browser on this machine?

Update: I'm still having this problem with FF6.

share|improve this question
    
Have you tried replacing the bookmarklet? That is, delete it from the browser and re-add it from the Tools page? –  Al E. Aug 16 '11 at 12:37
    
@Al Everett Yeah, that's the first thing I tried. And I just did it again just to be sure: no change, same effect. Good thinking though, and thanks for asking, I should have mentioned that in my question. –  hheimbuerger Aug 16 '11 at 15:42
    
A security setting, perhaps? It seems like you'll need to look for the differences between the environments. –  Al E. Aug 16 '11 at 17:29
    
Possibly. My two FF5 environments are pretty similar, and I'm also quite sure nothing about them has changed when it stopped working -- except for potential automatic add-on upgrades. I rather think this is about some inconsistent state the Google Account left behind. But I'll try tomorrow with FF safe mode. –  hheimbuerger Aug 17 '11 at 19:47
    
Before I could try FF safe mode, I got pushed the FF6 upgrade (which also disabled two probably unrelated add-ons: the Anti-Aliasing Tuner and the JS Deminifier) and now it works. Can't really draw any conclusion from this, could have been caused by pretty much anything. –  hheimbuerger Aug 18 '11 at 8:33
show 1 more comment

1 Answer

up vote 1 down vote accepted

It seems like this was caused by the ShareMeNot add-on. Since disabling it, the problem has no longer occured.

I'll give it a few more days to see if that was really the cause (after all, it did work before, and once after the FF6 upgrade, with ShareMeNot enabled), then file a bug report.

share|improve this answer
    
Corresponding thread on the mailing list: Incompatibility with Google Reader bookmarklet –  hheimbuerger Aug 29 '11 at 16:28
    
This seems to have been fixed in version 1.0.0.4 of the ShareMeNot add-on. –  hheimbuerger Sep 19 '11 at 9:51
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.